Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:25 2009

## Asterisk developer's documentation

# adsi_script Struct Reference

Collaboration diagram for adsi_script:

[legend]

## Data Fields

char | desc [19]
struct adsi_display | displays [63]
unsigned char | fdn [5]
struct adsi_flag | flags [7]
struct adsi_soft_key * | key
struct adsi_soft_key | keys [62]
int | numdisplays
int | numflags
int | numkeys
int | numstates
int | numsubs
unsigned char | sec [5]
int | state
struct adsi_state | states [256]
struct adsi_subscript * | sub
struct adsi_subscript | subs [128]
int | ver

## Detailed Description

Definition at line 153 of file app_adsiprog.c.

## Field Documentation

char desc[19]

Definition at line 175 of file app_adsiprog.c.

Referenced by adsi_process(), and adsi_prog().

struct adsi_display displays[63]`[read]`

Definition at line 163 of file app_adsiprog.c.

Referenced by adsi_prog(), and getdisplaybyname().

unsigned char fdn[5]

Definition at line 176 of file app_adsiprog.c.

Referenced by adsi_process(), and adsi_prog().

struct adsi_flag flags[7]`[read]`

Definition at line 171 of file app_adsiprog.c.

Referenced by getflagbyname().

struct adsi_soft_key* key`[read]`

Definition at line 160 of file app_adsiprog.c.

Referenced by adsi_process().

struct adsi_soft_key keys[62]`[read]`

Definition at line 167 of file app_adsiprog.c.

Referenced by adsi_prog(), compile_script(), and getkeybyname().

int numdisplays

Definition at line 158 of file app_adsiprog.c.

Referenced by adsi_prog(), and getdisplaybyname().

int numflags

Definition at line 159 of file app_adsiprog.c.

Referenced by getflagbyname().

int numkeys

Definition at line 155 of file app_adsiprog.c.

Referenced by adsi_prog(), compile_script(), and getkeybyname().

int numstates

Definition at line 157 of file app_adsiprog.c.

Referenced by getstatebyname().

int numsubs

Definition at line 156 of file app_adsiprog.c.

Referenced by adsi_prog(), compile_script(), and getsubbyname().

unsigned char sec[5]

Definition at line 174 of file app_adsiprog.c.

Referenced by adsi_process(), and adsi_prog().

int state

Definition at line 154 of file app_adsiprog.c.

Referenced by adsi_process(), and compile_script().

struct adsi_state states[256]`[read]`

Definition at line 165 of file app_adsiprog.c.

Referenced by getstatebyname().

struct adsi_subscript* sub`[read]`

Definition at line 161 of file app_adsiprog.c.

Referenced by adsi_process().

struct adsi_subscript subs[128]`[read]`

Definition at line 169 of file app_adsiprog.c.

Referenced by adsi_prog(), compile_script(), and getsubbyname().

int ver

Definition at line 177 of file app_adsiprog.c.

Referenced by adsi_process(), and adsi_prog().

The documentation for this struct was generated from the following file:

- app_adsiprog.c